### Method

# CM Client set_device_name

#### Declaration [src]

    void
    cm_client_set_device_name (
      CmClient* self,
      const char* device_name
    )

#### Description [src]

Set the device name which shall be used as the human readable identifier for the device.

#### Parameters

`device_name`

  Type: `const char*`

  The device name string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.